%define anolis_release 1
%define debug_package %{nil}
%bcond_with docs
%bcond_without tests

%global pypi_name filelock
%global pypi_version 3.8.0

Name:           python-filelock
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A platform independent file lock.
License:        Unlicense
URL:            https://github.com/tox-dev/py-filelock
Source0:        https://files.pythonhosted.org/packages/95/55/b897882bffb8213456363e646bf9e9fa704ffda5a7d140edf935a9e02c7b/filelock-3.8.0.tar.gz

%if %{with tests}
BuildRequires:  python3dist(pytest) >= 7.1.2
BuildRequires:  python3dist(pytest-cov) >= 3
BuildRequires:  python3dist(pytest-timeout) >= 2.1
%endif

%if %{with docs}
BuildRequires:  python3dist(furo) >= 2022.6.21
BuildRequires:  python3dist(sphinx) >= 5.1.1
BuildRequires:  python3dist(sphinx-autodoc-typehints) >= 1.19.1
BuildRequires:  python3dist(covdefaults) >= 2.2
BuildRequires:  python3dist(coverage) >= 6.4.2
%endif

BuildRequires:  gcc cmake
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python-srpm-macros
BuildArch:      noarch

%description
A platform independent file lock.

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
%{description}

%package -n python3-%{pypi_name}-doc
Summary:        %{summary}
BuildArch:      noarch
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
%{description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%if %{with docs}
pushd docs
PYTHONPATH=../src sphinx-build ./ html --color -b html
PYTHONPATH=../src sphinx-build ./ man --color -b man
rm html/.buildinfo
popd
%endif

%install
%py3_install

%if %{with docs}
install -p -m0644 -D docs/man/%{pypi_name}.1 %{buildroot}%{_mandir}/man1/%{pypi_name}.1
%endif

%files -n python3-%{pypi_name}
%license LICENSE docs/license.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*.egg-info
%if %{with docs}
%{_mandir}/man1/%{pypi_name}.1.gz
%endif

%files -n python3-%{pypi_name}-doc
%doc README.md docs/changelog.rst

%changelog
* Tue Jul 05 2022 happy_orange <songnannan@linux.alibaba.com> - 3.8.0-1
- init package from upstream
